منصة المطورين Mariner GPS Tools
قراءة الإحداثيات وتنسيقها
تحويل تنسيقات خط العرض وخط الطول
واجهات
POST
نقطة النهاية REST
/api/v1/coordinates/convertMCP
اسم الأداة
convert_coordinatesطلب
أرسل الطلب كـ JSON. يقوم عملاء MCP بتمرير نفس الحقول كوسيطات الأداة.
cURLshell
curl -X POST https://marinergps.tools/api/v1/coordinates/convert \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "content-type: application/json" \
-d '{
"latitude": "51.5074",
"longitude": "-0.1278",
"format": "dms"
}'هيئة الطلبjson
{
"latitude": "51.5074",
"longitude": "-0.1278",
"format": "dms"
}الاستجابة
يقوم REST بتغليف نتيجة الحساب في مظروف النجاح القياسي. تقوم MCP بإرجاع نفس بيانات الحساب مثل مخرجات الأداة المنظمة.
JSON
{
"ok": true,
"data": {
"latitude": {
"decimal": 51.5074,
"formatted": "51° 30′ 26.640″ N"
},
"longitude": {
"decimal": -0.1278,
"formatted": "0° 07′ 40.080″ W"
},
"format": "dms"
}
}{
"ok": false,
"error": {
"code": "invalid_request",
"message": "Invalid request input."
}
}المخططات
توضح التعريفات أدناه مخطط JSON الكامل المستخدم للتحقق من صحة المدخلات ووصف المخرجات.
مخطط الإدخال
{
"type": "object",
"additionalProperties": false,
"properties": {
"latitude": {
"type": "string",
"description": "Latitude as decimal degrees or DMS text."
},
"longitude": {
"type": "string",
"description": "Longitude as decimal degrees or DMS text."
},
"format": {
"type": "string",
"enum": [
"decimal",
"dms"
],
"description": "Output coordinate format."
}
},
"required": [
"latitude",
"longitude",
"format"
]
}مخطط الإخراج
{
"type": "object",
"additionalProperties": false,
"properties": {
"latitude": {
"type": "object",
"additionalProperties": false,
"properties": {
"decimal": {
"type": "number"
},
"formatted": {
"type": "string"
}
},
"required": [
"decimal",
"formatted"
]
},
"longitude": {
"type": "object",
"additionalProperties": false,
"properties": {
"decimal": {
"type": "number"
},
"formatted": {
"type": "string"
}
},
"required": [
"decimal",
"formatted"
]
},
"format": {
"type": "string",
"enum": [
"decimal",
"dms"
]
}
},
"required": [
"latitude",
"longitude",
"format"
]
}